diff --git a/src/backend/storage/aio/aio.c b/src/backend/storage/aio/aio.c
index 86f7250b7a5f..64e8e81e1849 100644
--- a/src/backend/storage/aio/aio.c
+++ b/src/backend/storage/aio/aio.c
@@ -507,7 +507,7 @@ pgaio_io_process_completion(PgAioHandle *ioh, int result)
 
 	pgaio_io_update_state(ioh, PGAIO_HS_COMPLETED_IO);
 
-	pgaio_io_call_inj(ioh, "AIO_PROCESS_COMPLETION_BEFORE_SHARED");
+	pgaio_io_call_inj(ioh, "aio-process-completion-before-shared");
 
 	pgaio_io_call_complete_shared(ioh);
 
diff --git a/src/backend/storage/aio/method_worker.c b/src/backend/storage/aio/method_worker.c
index 8ad17ec1ef73..0fde2a5b30da 100644
--- a/src/backend/storage/aio/method_worker.c
+++ b/src/backend/storage/aio/method_worker.c
@@ -525,7 +525,7 @@ IoWorkerMain(const void *startup_data, size_t startup_data_len)
 			 * To be able to exercise the reopen-fails path, allow injection
 			 * points to trigger a failure at this point.
 			 */
-			pgaio_io_call_inj(ioh, "AIO_WORKER_AFTER_REOPEN");
+			pgaio_io_call_inj(ioh, "aio-worker-after-reopen");
 
 			error_errno = 0;
 			error_ioh = NULL;
diff --git a/src/test/modules/test_aio/test_aio.c b/src/test/modules/test_aio/test_aio.c
index 1d776010ef41..7745244b0e24 100644
--- a/src/test/modules/test_aio/test_aio.c
+++ b/src/test/modules/test_aio/test_aio.c
@@ -86,19 +86,19 @@ test_aio_shmem_startup(void)
 		inj_io_error_state->enabled_reopen = false;
 
 #ifdef USE_INJECTION_POINTS
-		InjectionPointAttach("AIO_PROCESS_COMPLETION_BEFORE_SHARED",
+		InjectionPointAttach("aio-process-completion-before-shared",
 							 "test_aio",
 							 "inj_io_short_read",
 							 NULL,
 							 0);
-		InjectionPointLoad("AIO_PROCESS_COMPLETION_BEFORE_SHARED");
+		InjectionPointLoad("aio-process-completion-before-shared");
 
-		InjectionPointAttach("AIO_WORKER_AFTER_REOPEN",
+		InjectionPointAttach("aio-worker-after-reopen",
 							 "test_aio",
 							 "inj_io_reopen",
 							 NULL,
 							 0);
-		InjectionPointLoad("AIO_WORKER_AFTER_REOPEN");
+		InjectionPointLoad("aio-worker-after-reopen");
 
 #endif
 	}
@@ -109,8 +109,8 @@ test_aio_shmem_startup(void)
 		 * critical section.
 		 */
 #ifdef USE_INJECTION_POINTS
-		InjectionPointLoad("AIO_PROCESS_COMPLETION_BEFORE_SHARED");
-		InjectionPointLoad("AIO_WORKER_AFTER_REOPEN");
+		InjectionPointLoad("aio-process-completion-before-shared");
+		InjectionPointLoad("aio-worker-after-reopen");
 		elog(LOG, "injection point loaded");
 #endif
 	}
